using Godot;

namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public abstract partial class FlareType:Resource
  {
    public abstract Shader GetShader( FlareLayer.Data data );
    public abstract ShaderMaterial CreateMaterial( FlareLayer.Data data );
    public abstract void ApplyShape( FlareLayer.Data data );
 
  }
}